<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\TermineSammelAenderung\HandleTermineSammelAenderung;

use Kufer\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine;

class HandleTermineSammelAenderungController extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TermineSammelAenderung\HandleTermineSammelAenderung\HandleTermineSammelAenderungController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleTermineSammelAenderungUseCase(
      $this->getRequestObj()
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new Termine\TermineNachAbsendenController(
      $pUseCaseResponse->knr,
      $pUseCaseResponse->statusCode,
      false,
      $pUseCaseResponse->failedToUpdateKtAry,
      $pUseCaseResponse->eintraegeBearbeitet
    );
  }
}